RK-A2 - Feature #3656

set and get questions list gcf
07/10/2024 07:11 AM - Ram Kordale

Status: Review
Priority: High
Assignee: Md Shahzar
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

07/10/2024

100%
1.50 hour
0.00 hour

Description

set_questions_list(board, grade, subject, chapter_num, questions_file_name) [Comment: use get_file_from_bucket(file_name,
bucket_name); <env>-files is the bucket name where question files are stored]

Read the questions_file and scan for exercise numbers (the value for "#$Exercise"). Store them as a comma separated string in
questions_list kind as field "list". Key is <board>-<grade>-<subject>-<chapter_nums.

Also implement get_questions_list(board, grade, subject, chapter_num) that returns the question list.

History

#1 - 07/10/2024 07:15 AM - Md Shahzar
- Estimated time set to 1.50 h

#2 - 07/10/2024 07:25 AM - Ram Kordale

- Description updated

#3 - 07/10/2024 09:02 AM - Shubham Boke
- Status changed from New to In Progress

- Assignee set to Shubham Boke

#4 - 07/10/2024 10:16 AM - Shubham Boke
- % Done changed from 0 to 20

#5 - 07/10/2024 11:01 AM - Shubham Boke
- % Done changed from 20 to 40

#6 - 07/10/2024 12:28 PM - Shubham Boke
- % Done changed from 40 to 90

#7 - 07/11/2024 04:38 AM - Shubham Boke
- Status changed from In Progress to Resolved

- % Done changed from 90 to 100

#8 - 07/11/2024 04:38 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#9 - 07/11/2024 06:30 AM - Ram Kordale
- Status changed from Review to Reopened

- Assignee changed from Dewakar Chaubey to Shubham Boke

#10 - 07/18/2024 08:54 AM - Shubham Boke

- Status changed from Reopened to In Progress

#11 - 07/18/2024 08:54 AM - Shubham Boke

04/05/2025

1/2




- Status changed from In Progress to Resolved

#12 - 07/18/2024 08:54 AM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#13 - 08/29/2024 07:16 AM - Dewakar Chaubey
- Assignee changed from Dewakar Chaubey to Md Shahzar

04/05/2025
